### Virtual Method

# RB Player close

#### Declaration [src]

    gboolean
    close (
      RBPlayer* player,
      const char* uri,
      GError** error
    )

#### Description [src]

If a URI is specified, this will close the stream corresponding to that URI and free any resources related resources. If `uri` is NULL, this will close all streams.

If no streams remain open after this call, the audio device will be released.

#### Parameters

`uri`

  Type: `const char*`

  Optionally, the URI of the stream to close.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if a stream was found and closed.